Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class StreamCountEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.StreamCountEvent

All Implemented Interfaces:
  java.io.Serializable

    public class StreamCountEvent

extends java.util.EventObject

A semantic event which indicates that the number of active disk streams in a sampler channel has changed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`StreamCountEvent(java.lang.Object source, int samplerChn, int count)` Constructs a `StreamCountEvent` object.

Method Summary
`int` | `getSamplerChannel()` Gets the number of the sampler channel for which the number of active disk streams has changed.
`int` | `getStreamCount()` Gets the new number of active disk streams.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamCountEvent

    public StreamCountEvent(java.lang.Object source,
                            int samplerChn,
                            int count)

  Constructs a `StreamCountEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `samplerChn` - The number of the sampler channel for which the number of active disk streams has changed.
    `count` - The new number of active disk streams.

Method Detail

### getSamplerChannel

    public int getSamplerChannel()

  Gets the number of the sampler channel for which the number of active disk streams has changed.

  Returns:
    The number of the sampler channel for which the number of active disk streams has changed.

### getStreamCount

    public int getStreamCount()

  Gets the new number of active disk streams.

  Returns:
    The new number of active disk streams.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.